<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yeejoin.amos.boot.module.ccs.api.mapper.FireVehicleMapper">

<select id="getCarInfoByStationCode" resultType="com.yeejoin.amos.boot.module.ccs.api.vo.CarInfoVO">
    SELECT
        count(*) as total,
        `type` as carType,
        group_concat( `number` ) AS strCarNumber
    FROM
        ast_fire_vehicle
    WHERE
        station_code = #{stationCode,jdbcType=VARCHAR}
    GROUP BY
        `type`
    </select>
</mapper>
